# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gtk-recordmydesktop
Version:        0.3.8
Release:        alt1_8
Summary:        GUI Desktop session recorder with audio and video

Group:          Video
License:        GPLv2+
URL:            http://recordmydesktop.sourceforge.net/
Source0:        http://dl.sourceforge.net/recordmydesktop/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel python-module-pygtk-devel
BuildRequires:  desktop-file-utils gettext
Requires:       recordmydesktop >= %{version}
Source44: import.info


%description
Graphical frontend for the recordmydesktop desktop session recorder.

recordMyDesktop is a desktop session recorder for linux that attempts to be 
easy to use, yet also effective at it's primary task.

As such, the program is separated in two parts; a simple command line tool that
performs the basic tasks of capturing and encoding and an interface that 
exposes the program functionality in a usable way.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

%find_lang gtk-recordMyDesktop

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%files -f gtk-recordMyDesktop.lang
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/*
%{python_sitelibdir_noarch}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.8-alt1_8
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.8-alt1_7
- initial fc import

